# These are external variables, and shouldn't clash with anything else
#  fir3db
#  fir3db_BUILT
#

if [ -z ${fir3db_BUILT} ]
then
    fir3db="obj/fir3db"
    EXTRAS="-std=gnu99 -D_GNU_SOURCE -DAPP_NAME=\"fir3db\" -lm \
        ${LIBFIR_CFLAGS} ${LIBFIR_LIBS}"

    echo "Building application ${fir3db}..."

    do_cmd source src/fir3db/build.monolithic || return 1

    MODIFIED=0
    for test in ${MONOLITHIC_TESTS} ${SRC}
    do
        if [ ${test} -nt ${fir3db} ]
        then
            MODIFIED=1
            break
        fi
    done

    if [ ${MODIFIED} -ne 0 ]
    then
        echo " Compiling..."

        do_cmd ${CC} ${CFLAGS} -I obj -o "${fir3db}" ${SRC} ${EXTRAS} || return 1

        print_success "Application built"
    else
        print_success "Application up to date"
    fi

    fir3db_BUILT=1

fi

# vim: syntax=sh:expandtab:ts=4:sw=4
